<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SalesInvoiceRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [

            'sales_order_id' => 'required|exists:sales_orders,id',

            'invoice_date' => 'required|date',

            'remarks' => 'nullable|string'

        ];
    }
}